<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_112) on Sun Aug 29 12:47:12 CEST 2021 -->
<title>FiguresListView</title>
<meta name="date" content="2021-08-29">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FiguresListView";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FiguresListView.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../de/rowlo/tridchess/gui/LogView.html" title="class in de.rowlo.tridchess.gui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?de/rowlo/tridchess/gui/FiguresListView.html" target="_top">Frames</a></li>
<li><a href="FiguresListView.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.javax.swing.JComponent">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">de.rowlo.tridchess.gui</div>
<h2 title="Class FiguresListView" class="title">Class FiguresListView</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.awt.Component</li>
<li>
<ul class="inheritance">
<li>java.awt.Container</li>
<li>
<ul class="inheritance">
<li>javax.swing.JComponent</li>
<li>
<ul class="inheritance">
<li>de.rowlo.tridchess.gui.FiguresListView</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">FiguresListView</span>
extends javax.swing.JComponent</pre>
<div class="block">Paints a party's figures that are out of play.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Robert Wloch</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../serialized-form.html#de.rowlo.tridchess.gui.FiguresListView">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.javax.swing.JComponent">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;javax.swing.JComponent</h3>
<code>javax.swing.JComponent.AccessibleJComponent</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.awt.Component</h3>
<code>java.awt.Component.BaselineResizeBehavior</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FiguresListView.html#BOTTOM_LEFT">BOTTOM_LEFT</a></span></code>
<div class="block">Orientation of the figures list.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FiguresListView.html#BOTTOM_RIGHT">BOTTOM_RIGHT</a></span></code>
<div class="block">Orientation of the figures list.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FiguresListView.html#TOP_LEFT">TOP_LEFT</a></span></code>
<div class="block">Orientation of the figures list.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FiguresListView.html#TOP_RIGHT">TOP_RIGHT</a></span></code>
<div class="block">Orientation of the figures list.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.javax.swing.JComponent">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;javax.swing.JComponent</h3>
<code>TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;java.awt.Component</h3>
<code>BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.java.awt.image.ImageObserver">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;java.awt.image.ImageObserver</h3>
<code>ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FiguresListView.html#FiguresListView-java.awt.Dimension-de.rowlo.tridchess.gui.ChessUi-">FiguresListView</a></span>(java.awt.Dimension&nbsp;size,
               <a href="../../../../de/rowlo/tridchess/gui/ChessUi.html" title="class in de.rowlo.tridchess.gui">ChessUi</a>&nbsp;ui)</code>
<div class="block">Creates a view of a list of Figures.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FiguresListView.html#getBlackFiguresList--">getBlackFiguresList</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../de/rowlo/tridchess/gui/ChessUi.html" title="class in de.rowlo.tridchess.gui">ChessUi</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FiguresListView.html#getChessUi--">getChessUi</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FiguresListView.html#getDraggedFigure--">getDraggedFigure</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.awt.Point</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FiguresListView.html#getDraggedFigureLocation--">getDraggedFigureLocation</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FiguresListView.html#getFieldHeight--">getFieldHeight</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FiguresListView.html#getFieldWidth--">getFieldWidth</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FiguresListView.html#getFigureForPoint-java.awt.Point-">getFigureForPoint</a></span>(java.awt.Point&nbsp;p)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FiguresListView.html#getWhiteFiguresList--">getWhiteFiguresList</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FiguresListView.html#paint-java.awt.Graphics-">paint</a></span>(java.awt.Graphics&nbsp;g)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FiguresListView.html#redraw--">redraw</a></span>()</code>
<div class="block">Invokes a Runnable to repaint the board at the end of the current event
 thread's run.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FiguresListView.html#removeFigure-de.rowlo.tridchess.model.Figure-">removeFigure</a></span>(<a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig)</code>
<div class="block">Removes a figure from the black or white figures list.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FiguresListView.html#setChessUi-de.rowlo.tridchess.gui.ChessUi-">setChessUi</a></span>(<a href="../../../../de/rowlo/tridchess/gui/ChessUi.html" title="class in de.rowlo.tridchess.gui">ChessUi</a>&nbsp;cui)</code>
<div class="block">Sets the ChessUi to be used.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FiguresListView.html#setDraggedFigure-de.rowlo.tridchess.model.Figure-">setDraggedFigure</a></span>(<a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;draggedFigure)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FiguresListView.html#setDraggedFigureLocation-java.awt.Point-">setDraggedFigureLocation</a></span>(java.awt.Point&nbsp;draggedFigureLocation)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FiguresListView.html#setFieldHeight-int-">setFieldHeight</a></span>(int&nbsp;fieldHeight)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FiguresListView.html#setFieldWidth-int-">setFieldWidth</a></span>(int&nbsp;fieldWidth)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.javax.swing.JComponent">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;javax.swing.JComponent</h3>
<code>addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.awt.Container">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Container</h3>
<code>add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Component</h3>
<code>action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="TOP_LEFT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TOP_LEFT</h4>
<pre>public static final&nbsp;int TOP_LEFT</pre>
<div class="block">Orientation of the figures list.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.FiguresListView.TOP_LEFT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TOP_RIGHT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TOP_RIGHT</h4>
<pre>public static final&nbsp;int TOP_RIGHT</pre>
<div class="block">Orientation of the figures list.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.FiguresListView.TOP_RIGHT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BOTTOM_LEFT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BOTTOM_LEFT</h4>
<pre>public static final&nbsp;int BOTTOM_LEFT</pre>
<div class="block">Orientation of the figures list.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.FiguresListView.BOTTOM_LEFT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BOTTOM_RIGHT">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BOTTOM_RIGHT</h4>
<pre>public static final&nbsp;int BOTTOM_RIGHT</pre>
<div class="block">Orientation of the figures list.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.FiguresListView.BOTTOM_RIGHT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FiguresListView-java.awt.Dimension-de.rowlo.tridchess.gui.ChessUi-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FiguresListView</h4>
<pre>public&nbsp;FiguresListView(java.awt.Dimension&nbsp;size,
                       <a href="../../../../de/rowlo/tridchess/gui/ChessUi.html" title="class in de.rowlo.tridchess.gui">ChessUi</a>&nbsp;ui)</pre>
<div class="block">Creates a view of a list of Figures.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>size</code> - the size of the view</dd>
<dd><code>ui</code> - user interface configuration</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getBlackFiguresList--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlackFiguresList</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&gt;&nbsp;getBlackFiguresList()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the figuresList</dd>
</dl>
</li>
</ul>
<a name="getWhiteFiguresList--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWhiteFiguresList</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&gt;&nbsp;getWhiteFiguresList()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the figuresList</dd>
</dl>
</li>
</ul>
<a name="getFieldHeight--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFieldHeight</h4>
<pre>public&nbsp;int&nbsp;getFieldHeight()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>fieldHeight</dd>
</dl>
</li>
</ul>
<a name="setFieldHeight-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFieldHeight</h4>
<pre>public&nbsp;void&nbsp;setFieldHeight(int&nbsp;fieldHeight)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fieldHeight</code> - </dd>
</dl>
</li>
</ul>
<a name="getFieldWidth--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFieldWidth</h4>
<pre>public&nbsp;int&nbsp;getFieldWidth()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>fieldWidth</dd>
</dl>
</li>
</ul>
<a name="setFieldWidth-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFieldWidth</h4>
<pre>public&nbsp;void&nbsp;setFieldWidth(int&nbsp;fieldWidth)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fieldWidth</code> - </dd>
</dl>
</li>
</ul>
<a name="getChessUi--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChessUi</h4>
<pre>public&nbsp;<a href="../../../../de/rowlo/tridchess/gui/ChessUi.html" title="class in de.rowlo.tridchess.gui">ChessUi</a>&nbsp;getChessUi()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ChessUi</dd>
</dl>
</li>
</ul>
<a name="setChessUi-de.rowlo.tridchess.gui.ChessUi-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setChessUi</h4>
<pre>public&nbsp;void&nbsp;setChessUi(<a href="../../../../de/rowlo/tridchess/gui/ChessUi.html" title="class in de.rowlo.tridchess.gui">ChessUi</a>&nbsp;cui)</pre>
<div class="block">Sets the ChessUi to be used.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cui</code> - ChessUi</dd>
</dl>
</li>
</ul>
<a name="getDraggedFigure--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDraggedFigure</h4>
<pre>public&nbsp;<a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;getDraggedFigure()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the draggedFigure</dd>
</dl>
</li>
</ul>
<a name="setDraggedFigure-de.rowlo.tridchess.model.Figure-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDraggedFigure</h4>
<pre>public&nbsp;void&nbsp;setDraggedFigure(<a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;draggedFigure)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>draggedFigure</code> - the draggedFigure to set</dd>
</dl>
</li>
</ul>
<a name="getDraggedFigureLocation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDraggedFigureLocation</h4>
<pre>public&nbsp;java.awt.Point&nbsp;getDraggedFigureLocation()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the draggedFigureLocation</dd>
</dl>
</li>
</ul>
<a name="setDraggedFigureLocation-java.awt.Point-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDraggedFigureLocation</h4>
<pre>public&nbsp;void&nbsp;setDraggedFigureLocation(java.awt.Point&nbsp;draggedFigureLocation)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>draggedFigureLocation</code> - the draggedFigureLocation to set</dd>
</dl>
</li>
</ul>
<a name="getFigureForPoint-java.awt.Point-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFigureForPoint</h4>
<pre>public&nbsp;<a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;getFigureForPoint(java.awt.Point&nbsp;p)</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Figure under point or null.</dd>
</dl>
</li>
</ul>
<a name="removeFigure-de.rowlo.tridchess.model.Figure-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeFigure</h4>
<pre>public&nbsp;void&nbsp;removeFigure(<a href="../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig)</pre>
<div class="block">Removes a figure from the black or white figures list.</div>
</li>
</ul>
<a name="redraw--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>redraw</h4>
<pre>public&nbsp;void&nbsp;redraw()</pre>
<div class="block">Invokes a Runnable to repaint the board at the end of the current event
 thread's run.</div>
</li>
</ul>
<a name="paint-java.awt.Graphics-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>paint</h4>
<pre>public&nbsp;void&nbsp;paint(java.awt.Graphics&nbsp;g)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>paint</code>&nbsp;in class&nbsp;<code>javax.swing.JComponent</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FiguresListView.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../de/rowlo/tridchess/gui/LogView.html" title="class in de.rowlo.tridchess.gui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?de/rowlo/tridchess/gui/FiguresListView.html" target="_top">Frames</a></li>
<li><a href="FiguresListView.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.javax.swing.JComponent">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
